﻿using ServiceReference1;

namespace ConsoleAppClient
{
    internal class Program
    {
        const int chunkSize = 1024 * 1024;
        static void Main(string[] args)
        {
            Service1Client client = new Service1Client();
            var stream = client.GetFile(@"C:\tmp\978-1-4842-3018-3.pdf"); //full path to the file on the server

            BinaryReader binReader = new BinaryReader(stream);
            byte[] bytes = new byte[chunkSize];
            BinaryWriter binWriter = new BinaryWriter(new StreamWriter(@"C:\tmp\978-1-4842-3018-3_copy1.pdf").BaseStream); //full path where we write it in the client
            do
            {
                bytes = binReader.ReadBytes(chunkSize);
                binWriter.Write(bytes);
            }
            while (bytes.Count<byte>() == chunkSize);
            binWriter.Close();
            Console.WriteLine("Ok we have a file...I hope :)");
            Console.ReadLine();
        }
    }
}
